commoble.bagofyurting

## Class IsWasSprintPacket

- java.lang.Object
- - commoble.bagofyurting.IsWasSprintPacket

    public class IsWasSprintPacket
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`IsWasSprintPacket(boolean isSprintHeld)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `handle(java.util.function.Supplier<net.minecraftforge.fml.network.NetworkEvent.Context> contextGetter)`
`static IsWasSprintPacket` `read(net.minecraft.network.PacketBuffer buf)`
`void` `write(net.minecraft.network.PacketBuffer buf)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IsWasSprintPacket

    public IsWasSprintPacket(boolean isSprintHeld)

### Method Detail

#### write

    public void write(net.minecraft.network.PacketBuffer buf)

#### read

    public static IsWasSprintPacket read(net.minecraft.network.PacketBuffer buf)

#### handle

    public void handle(java.util.function.Supplier<net.minecraftforge.fml.network.NetworkEvent.Context> contextGetter)